/* MOBILE */

@media (max-width: 768px) {
    .navbar-container {
        position: relative; /* muda para relative */
    }

    .hamburguer {
        display: block;
        position: absolute; /* muda para absolute */
        top: 30px;
        right: 20px;
        z-index: 1001;

    }

    .main-banner-localization {
        height: 40vh;
    }

    .navbar-items {
        position: fixed;
        top: 80px;
        left: 0;
        width: 100%;
        background-color: #fff;
        flex-direction: column;
        display: none; /* oculto por padrão */
        list-style: none;
        padding-top: 2rem;
        z-index: 999;
        height: auto;
        line-height: normal;
    }

    .navbar-items.active {
        display: flex; /* mostra quando ativo */
        max-height: 60vh;     /* limita altura */
        overflow-y: auto;    /* rolagem se precisar */
    }

    .navbar-items li {
        margin: 0.4rem 0;
        text-align: center;
    }

    .navbar-items a {
        display: flex;              /* controla conteúdo interno */
        justify-content: center;    /* centraliza horizontal */
        align-items: center;        /* centraliza vertical */
        gap: 0.4rem;                /* espaço entre ícone e texto */
        font-size: 0.9rem;
        padding: 0.6rem 1rem;
        line-height: normal;
        width: 100%;              /* ESSENCIAL */
        min-height: 36px;

    }

    .services-container {
        align-items: center;
        text-align: center;
        flex-direction: column;
        flex-wrap: wrap;
    }

    .services-container li {
        width: 90%;                /* ocupa quase toda tela */
        max-width: 350px; 
        margin: 10px;
        align-items: center;
        text-align: center;
    }

    /* CONTATOS */
    .contact-us-list ul {
        display: flex !important;
        flex-direction: column !important;
        align-items: center !important;
        text-align: center !important;
        gap: 20px;
    }

    .contact-us-img img {
        width: 100%;
        max-width: 350px;
        border-radius: 10px;
    }

    .contact-us-list ul li {
        width: 100%;
    }

    /* SOBRE NOS */
    
    .about-us-list ul {
        display: flex !important;
        flex-direction: column !important;
        align-items: center !important;
        text-align: center !important;
        gap: 20px;
    }

    .about-us-img img {
        width: 100%;
        max-width: 350px;
        border-radius: 10px;
    }

    .about-us-list ul li {
        width: 100%;
    }

    .container-footer {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 24px;
    }
    
    .footer-section {
        align-items: center;
        text-align: center;
        width: 100%;
        text-align: center !important;
    }

    #text-logo-footer, .footer-links, .footer-services, .footer-payments, .footer-operation, .footer-contact {
        align-items: center;
        text-align: center;

    }

    .faixa-about-description p {
        font-size: 14px;
        animation-duration: 16s;
    }

    .google-maps {
        position: relative;
        width: 100%;
        padding-bottom: 56.25%; /* proporção 16:9 */
        height: 0;
        overflow: hidden;
}

    .google-maps iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100% !important;
        height: 100% !important;
        border: 0;
    }
}


/* TABLETS */
@media (min-width: 769px) and (max-width: 1280px) {

    .navbar-container {
        position: relative; /* muda para relative */
    }

    .hamburguer {
        display: block;
        position: absolute; /* muda para absolute */
        top: 30px;
        right: 20px;
        z-index: 1001;
    }

    .navbar-items {
        position: fixed;
        top: 80px;
        left: 0;
        width: 100%;
        height: calc(100vh - 80px);
        background-color: #fff;
        flex-direction: column;
        display: none; /* oculto por padrão */
        list-style: none;
        padding-top: 2rem;
        z-index: 999;
        height: auto;
        line-height: normal;
    }

    .navbar-items.active {
        display: flex; /* mostra quando ativo */
        max-height: 60vh;
        overflow-y: auto;
    }

    .navbar-items li {
        margin: 0.4rem 0;
        text-align: center;
    }

    .navbar-items a {
        display: flex;              /* controla conteúdo interno */
        justify-content: center;    /* centraliza horizontal */
        align-items: center;        /* centraliza vertical */
        gap: 0.4rem;                /* espaço entre ícone e texto */
        /* display: block; */
        font-size: 0.9rem;
        padding: 0.6rem 1rem;
        line-height: normal;
        /* outline: 1px solid red; */
        width: 100%;              /* ESSENCIAL */
        min-height: 36px;

    }

    .services-container {
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        /* flex-direction: row; */
        flex-wrap: wrap;
    }

    .services-container li {
        flex: 0 1 calc(50% - 20px);
        margin: 10px;
    }

    .about-us-list ul {
        display: flex !important;
        flex-direction: row !important;
        flex-wrap: wrap !important;
        justify-content: center !important;
        gap: 20px;
    }

    .about-us-list ul li {
        width: 45%;
    }
}